
import {axios} from '@/utils/request'

// 获取所有账户
export function getAdvertiserList() {
    return axios({
      url: "/ctop/accountReport/getAdvertiserList",
      method: 'post',
    //   data: parameter
    })
}

// getReportList 
export function getReportList(parameter) {
    return axios({
      url: "/ctop/accountReport/getReportList",
      method: 'post',
      data: parameter
    })
}


// getReportList 
export function getStatistics(parameter) {
    return axios({
      url: "/ctop/accountReport/getStatistics",
      method: 'post',
      data: parameter
    })
}



// getDailyReport 
export function getDailyReport(parameter) {
    return axios({
      url: "/ctop/daily/getDailyReport",
      method: 'post',
      data: parameter
    })
}

// /materialReport/getKuaiShouMaterialMarket
//素材大盘
export function getKuaiShouMaterialMarket(parameter) {
    return axios({
      url: "/materialReport/getKuaiShouMaterialMarket",
      method: 'post',
      data: parameter
    })
}


// /materialReport/getKuaiShouMaterialMarket
//素材大盘分时
export function getKuaiShouChainRatio(parameter) {
    return axios({
      url: "/materialReport/getKuaiShouChainRatio",
      method: 'post',
      data: parameter
    })
}


// /materialReport/getMaterialReportByAccount
// userId:
// 分账户
export function getMaterialReportByAccount(parameter) {
    return axios({
      url: "/materialReport/getMaterialReportByAccount",
      method: 'post',
      data: parameter
    })
}

//  /MaterialRefuse/getRefuseCreative
export function getRefuseCreative(parameter) {
    return axios({
      url: "/MaterialRefuse/getRefuseCreative",
      method: 'post',
      data: parameter
    })
}

//  /MaterialRefuse/updateCreative
// 修改
export function updateCreative(parameter) {
    return axios({
      url: "/MaterialRefuse/updateCreative",
      method: 'post',
      data: parameter
    })
}

//  /MaterialRefuse/selectByCreateName
export function selectByCreateName(parameter) {
    return axios({
      url: "/MaterialRefuse/selectByCreateName",
      method: 'post',
      data: parameter
    })
}